# Uses of Interface
com.sun.source.doctree.DocTypeTree

Packages that use DocTypeTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of DocTypeTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type DocTypeTree
Modifier and Type
Method
Description
`default R`
DocTreeVisitor.`visitDocType(DocTypeTree node, P p)`
Visits a `DocTypeTree` node.

## Uses of DocTypeTree in com.sun.source.util

Methods in com.sun.source.util that return DocTypeTree
Modifier and Type
Method
Description
`DocTypeTree`
DocTreeFactory.`newDocTypeTree(String text)`
Creates a new `DocTypeTree`, to represent a `DOCTYPE` HTML declaration.
Methods in com.sun.source.util with parameters of type DocTypeTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitDocType(DocTypeTree node, P p)`
Visits a `DocTypeTree` node.
`R`
SimpleDocTreeVisitor.`visitDocType(DocTypeTree node, P p)`
Visits a `DocTypeTree` node.